/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package it.cnr.iasi.giant;

import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Window;
import java.awt.event.WindowAdapter;
import java.util.HashMap;
import javax.swing.*;

/**
 *
 * @author Fabio Cumbo
 */
public interface Application {
    
    public JMenuItem getGiantHelp_menu();

    public JButton getAttrib_button();
    
    public  HashMap<Object, String> getControllerMap();

    public  JButton getSelectNet_button();

    public  JTextField getClusterField();

    public  JTextField getNetworkField();

    public  JButton getComputePZ_button();

    public  JRadioButton getLoadClusterRadio();
    
    public  JRadioButton getComputeClusterRadio();
    
    public  JComboBox getClusteringList();
    
    public  JButton getSelectClustersButton();
    
    public  JButton getRunClusteringButton();
    
    public void setVisibleOverride(boolean value);
    public void setDefaultCloseOperationOverride(int value);
    public void addWindowListenerOverride(WindowAdapter windowsAdapter);
    public void setPreferredSizeOverride(Dimension dim);
    
    public Window getFrameOverride();
    
}
